MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007239ardourbugspublic2017-02-13 10:422017-02-21 08:14
ReporteraPilger 
Assigned Topaul 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformlinuxOSubuntuOS Version16.04
Product Version 
Target VersionFixed in Version 
Summary0007239: Unable to split region with shortcut "s", Version 5.6.0
DescriptionVersion 5.6.0
When typing "s" to split a region on the mouse cursor, nothing happens.

In the keyboard shortcuts window under Editor/region is no item "split-region".

When working with german locale, and trying to add a shortcut for Editor/Region/Trennen, the system reports "The key sequence is already bound to 'Region/split-region'...." But in the list is NO "split-region", only by using german, the item "Trennen" is there, but on this item no "s" is bound.
Steps To ReproducePlace cursor on a region, type "s": No split will be performed.

Open the Window "Keyboard Shortcuts" and search for Region/split-region: No item! Try to add a "s" on a random item, see message above.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0019381)
Headwar (reporter)
2017-02-14 00:16

Not reproduced here on Ubuntu 14.04 Unity. Can you make sure
a) you're in Grab Mode
b) the Edit point is set to 'Mouse'
c) you either have no track selected or the one you want to Split

The shortcut is in the Editor teb, Editor > Split/separate
(0019382)
aPilger (reporter)
2017-02-14 01:08

Yes, I've checked your suggestions. On my machine (ubuntu 16.4, unity), split with shortcut "s" is not working after installing and using 5.6 (alongside to 5.5)
(0019383)
aPilger (reporter)
2017-02-14 01:15

Mark Knoop has given a solution in the Ardour users Mailinglist:

"Some of the keybinding categories have changed, but there is no
automatic migration. With Ardour closed, open
~/.config/ardour5/ardour.keys in a text editor and delete the old
binding:

<Binding key="s" action="Region/split-region"/>

Then you will be able to add the binding again in Ardour."

But after this, split with shortcut "s" will no longer be available in version 5.5! Or you have to change the key bindings file again.

With version 5.6, spliting a region hase moved from the shortcut categorie Editor/Region to Editor/Editor
(0019384)
timbyr (developer)
2017-02-14 01:15

I'm also unable to reproduce using LC_ALL=de_DE with 5.6. Split works correctly. Google translate tells me the verb form of split in German is "Teilen". In the Keyboard shortcut window under the Editor tab I can see Editor > Teilen/Auftrennen entry bound to the S key.

Let us know if you still can't use split after following Headwar's instructions.
(0019385)
timbyr (developer)
2017-02-14 01:17

ok, great you found a solution while I was replying. Good to hear.
(0019386)
aPilger (reporter)
2017-02-14 02:02

I'm always install the new version additional to the old one. Perhaps, it occur by this behavior?
(0019388)
paul (administrator)
2017-02-14 04:17

Hmm, the move from "Editor/Region" to "Editor/Editor" is unintentional and also seems wrong. We only have a 2 level namespace: "Group/Action-Name".

Will look into this more. There are more changes planned for action names in the next release.
(0019392)
aPilger (reporter)
2017-02-14 09:38

@Paul The change is:
version - internal action name - desc in the shortcut window

5.5 - Region/split-region - Split/Separate
5.6 - Editor/split-region - Split/Separate

I think, it comes only to conflicts if a user installing version 5.6 alongside 5.5. In this case, the ardour.keys file will not be (over)written and shortcut "S" is bound to Region/split-region. And that is no longer used from the internal shortcut "processor" in v 5.6!?
(0019426)
paul (administrator)
2017-02-21 08:14

we now tag bindings with the major.minor version number.

no further work will or can be done for back-compatibility among minor variants. apologies for the inconvenience.

- Issue History
Date Modified Username Field Change
2017-02-13 10:42 aPilger New Issue
2017-02-14 00:16 Headwar Note Added: 0019381
2017-02-14 00:16 Headwar Status new => feedback
2017-02-14 01:08 aPilger Note Added: 0019382
2017-02-14 01:08 aPilger Status feedback => new
2017-02-14 01:15 aPilger Note Added: 0019383
2017-02-14 01:15 timbyr Note Added: 0019384
2017-02-14 01:16 timbyr Status new => feedback
2017-02-14 01:17 timbyr Note Added: 0019385
2017-02-14 02:02 aPilger Note Added: 0019386
2017-02-14 02:02 aPilger Status feedback => new
2017-02-14 04:17 paul Note Added: 0019388
2017-02-14 09:38 aPilger Note Added: 0019392
2017-02-21 08:14 paul Note Added: 0019426
2017-02-21 08:14 paul Status new => resolved
2017-02-21 08:14 paul Resolution open => fixed
2017-02-21 08:14 paul Assigned To => paul


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker